# REST API error codes

Find the full list of REST API error codes in the tables below.

### General REST API errors

<table><thead><tr><th>Error message</th><th width="99.921875">Code</th><th>Description</th></tr></thead><tbody><tr><td>WRONG_PARAMETER</td><td>400</td><td>Wrong request parameter.</td></tr><tr><td>INCORRECT_IMAGE_SIZE</td><td>400</td><td>Incorrect image size (more than 20 MB).</td></tr><tr><td>NOT_AVAILABLE_ON_CURRENT_PLAN</td><td>402</td><td>Feature not available on current plan</td></tr><tr><td>STORE_IS_SUSPENDED</td><td>402</td><td>Store with specified ID is currently suspended.<br><br>Learn more about store suspension in <a href="https://support.ecwid.com/hc/en-us/articles/17029785836828-Pausing-your-Ecwid-store-for-maintenance">Help Center</a>.</td></tr><tr><td>INSUFFICIENT_APP_SCOPE</td><td>403</td><td>Application doesn't have a required scope for the request.<br><br><a data-mention href="https://app.gitbook.com/s/uOzT5egoVTAjMJwRuMQT/develop-apps/app-settings#list-of-access-scopes">App settings #List of access scopes</a></td></tr><tr><td>INVALID_API_TOKEN</td><td>403</td><td>Invalid access token in the request.<br><br><a data-mention href="https://app.gitbook.com/s/uOzT5egoVTAjMJwRuMQT/develop-apps/app-settings#access-tokens">App settings #Access tokens</a></td></tr><tr><td>STORE_NOT_FOUND</td><td>404</td><td>Store with specified ID was not found.</td></tr><tr><td>PROFILE_NOT_FOUND</td><td>404</td><td>User store profile not found.</td></tr><tr><td>ORDER_NOT_FOUND</td><td>404</td><td>Order with specified ID was not found.</td></tr><tr><td>CHECKOUT_NOT_FOUND</td><td>404</td><td>Checkout with specified ID was not found.</td></tr><tr><td>METHOD_NOT_ALLOWED</td><td>405</td><td>HTTP request type is not supperted for the specified endpoint.</td></tr><tr><td>TIMEOUT</td><td>408</td><td>Request failed due to timeout.</td></tr><tr><td>RATE_LIMITED</td><td>429</td><td>Too many requests, rate limit exceeded. Access token of the app will be temporarily blocked.</td></tr><tr><td>INTERNAL_ERROR</td><td>500</td><td>Internal server error. <br><br><a href="https://app.gitbook.com/s/uOzT5egoVTAjMJwRuMQT/contact-ecwid-api-support-team">Report issue to Ecwid API support team</a></td></tr><tr><td>EXTERNAL_ID_ALREADY_USED</td><td>409</td><td>Entity with this external ID already exists in the store.</td></tr><tr><td>CONSTRAINT_VIOLATION</td><td>409</td><td>Internal constraint violation.<br><br><a href="https://app.gitbook.com/s/uOzT5egoVTAjMJwRuMQT/contact-ecwid-api-support-team">Report issue to Ecwid API support team</a></td></tr><tr><td>LANGUAGES_NOT_ALLOWED</td><td>400</td><td>Specified languages are disabled in the store.</td></tr><tr><td>WRONG_URL</td><td>422</td><td>Wrong URL provided</td></tr><tr><td>MULTILINGUAL_STORE_FEATURE_NOT_ACTIVE</td><td>400</td><td>Can't add translation due to multilingual feature being disabled in the store.</td></tr></tbody></table>

### Products/categories

<table><thead><tr><th>Error message</th><th width="99.921875">Code</th><th>Description</th></tr></thead><tbody><tr><td>MAX_PRODUCTS_FOR_API_REQUEST_LIMIT_EXCEEDED</td><td>402</td><td>Too many products in the product update/create request (more than 100).</td></tr><tr><td>MAX_CATEGORIES_FOR_API_REQUEST_LIMIT_EXCEEDED</td><td>402</td><td>Too many categories in the product update/create request (more than 100).</td></tr><tr><td>COMBINATION_LIMIT_PER_REQUEST_EXCEEDED</td><td>400</td><td>Too many product variations in the product update/create request (more than 200).</td></tr><tr><td>PRODUCT_NOT_FOUND</td><td>404</td><td>Product with specified ID was not found.</td></tr><tr><td>COMBINATION_NOT_FOUND</td><td>404</td><td>Product combination with specified ID was not found.</td></tr><tr><td>CATEGORIES_NOT_FOUND</td><td>404</td><td>Categories with specified IDs were not found.</td></tr><tr><td>SKU_ALREADY_EXISTS</td><td>409</td><td>Produuct with specified SKU already exists.<br><br>This error only appears for stores with disabled "non-unique SKUs" feature.</td></tr><tr><td>COST_PRICE_CANT_BE_NEGATIVE</td><td>400</td><td>Product cost price can't be negative.</td></tr><tr><td>WHOLESALE_PRICES_CANT_BE_NULL</td><td>400</td><td>Wholesale product price can't be zero.</td></tr><tr><td>WHOLESALE_PRICES_CANT_BE_NEGATIVE</td><td>400</td><td>Wholesale product price can't be negative.</td></tr><tr><td>WHOLESALE_PRICES_TOO_BIG</td><td>400</td><td>Wholesale product prices can't be higher than the default price.</td></tr><tr><td>WHOLESALE_PRICES_QUANTITY_TOO_SMALL</td><td>400</td><td>Wholesale product price must require at least two products.</td></tr><tr><td>OPTIONS_IS_NOT_FILES_TYPE</td><td>400</td><td>Options type must be "FILE".</td></tr><tr><td>DIFFERENT_COMBINATION_STOCK</td><td>400</td><td>Product variation with the same SKU as the main product must have the same stock.</td></tr><tr><td>DIFFERENT_COMBINATION_DIMENSIONS</td><td>400</td><td>Product variation with the same SKU as the main product must have the same dimensions.</td></tr><tr><td>COMBINATION_CONTAINS_REMOVED_OPTION</td><td>409</td><td>Product variation has removed product options.</td></tr><tr><td>COMBINATION_CONTAINS_REMOVED_OPTION_VALUE</td><td>409</td><td>Product variation has removed product option values.</td></tr><tr><td>COMBINATION_DUPLICATED</td><td>409</td><td>Product combination with this internal ID already exists.</td></tr><tr><td>NOT_ALLOWED_TO_UPDATE_EXTERNAL_CATEGORIES</td><td>409</td><td>Changing assigned products of external categories is not allowed.</td></tr><tr><td>NOT_ALLOWED_TO_UPDATE_PARAMETER</td><td>409</td><td>Changing product location inventory is not allowed in the store.</td></tr><tr><td>NOT_VIDEO_URL</td><td>422</td><td>Specified URL is not a video file.</td></tr><tr><td>VIDEO_NOT_SUPPORTED</td><td>422</td><td>Video format is not supported.</td></tr><tr><td>VIDEO_UNAVAILABLE</td><td>422</td><td>Product video is unavailable.</td></tr></tbody></table>

### Domains

<table><thead><tr><th>Error message</th><th width="100.0234375">Code</th><th>Description</th></tr></thead><tbody><tr><td>DOMAIN_ALREADY_TAKEN</td><td>400</td><td>Domain already taken by another store.</td></tr><tr><td>ILLEGAL_DOMAIN_NAME</td><td>400</td><td>Illegal domain name.</td></tr><tr><td>EMPTY_DOMAIN_NAME</td><td>403</td><td>Domain name must not be empty.</td></tr><tr><td>LONG_DOMAIN_NAME</td><td>403</td><td>Domain name is too long.</td></tr><tr><td>DOMAIN_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Domain feature not available for the store.</td></tr><tr><td>NOT_ALLOWED_ON_CURRENT_PLAN</td><td>403</td><td>Domain feature not available on current plan.</td></tr><tr><td>WRONG_DOMAIN_FORMAT</td><td>403</td><td>Invalid domain format.</td></tr><tr><td>PAYMENT_METHOD_PROBLEM</td><td>403</td><td>Domain can't be bpught due to payment problems.</td></tr><tr><td>OPEN_SRS_WRONG_RESPONSE</td><td>403</td><td>Invalid response from domain provider.</td></tr><tr><td>REGISTRANT_CONTACT_DATA_VERIFICATION_ERROR</td><td>403</td><td>Verification error.</td></tr><tr><td>NOT_VALID_DOMAIN_ORDER_UPDATE_DATA</td><td>409</td><td>Invalid data in the domain update request.</td></tr></tbody></table>

### Product reviews

<table><thead><tr><th>Error message</th><th width="100.39453125">Code</th><th>Description</th></tr></thead><tbody><tr><td>PRODUCT_REVIEWS_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Product reviews feature is disabled in the store.</td></tr><tr><td>PRODUCT_REVIEW_NOT_FOUND</td><td>404</td><td>Product reviews with specified ID was not found.</td></tr></tbody></table>

### Promotions/discount coupons

<table><thead><tr><th>Error message</th><th width="100.39453125">Code</th><th>Description</th></tr></thead><tbody><tr><td>MAX_PROMOTIONS_LIMIT_EXCEEDED</td><td>402</td><td>Maximum promotions limit in one request was exceeded (more than 100).</td></tr><tr><td>ADVANCED_DISCOUNTS_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Promotions feature is disabled in the store.</td></tr><tr><td>DISCOUNTS_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Discount coupons feature is disabled in the store.</td></tr><tr><td>SHIPPING_DISCOUNTS_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Shipping discounts feature is disabled in the store.</td></tr><tr><td>CUSTOMER_GROUPS_FEATURE_NOT_AVAILABLE</td><td>403</td><td>Discounts for customer groups are disabled in the store.</td></tr><tr><td>PROMOTION_NOT_FOUND</td><td>404</td><td>Promotion with specified ID was not found.</td></tr><tr><td>DISCOUNT_COUPON_NOT_FOUND</td><td>404</td><td>Discount coupon with specified ID was not found.</td></tr><tr><td>READ_ONLY_PROMOTION_FIELD_CHANGE</td><td>422</td><td>Read-only fields cannot be changed.</td></tr></tbody></table>

### Page slugs

<table><thead><tr><th>Error message</th><th width="100.1640625">Code</th><th>Description</th></tr></thead><tbody><tr><td>SLUG_PARAMETER_NOT_FOUND</td><td>400</td><td>Specified page slug was not found.</td></tr><tr><td>SLUG_PARAMETER_EMPTY</td><td>400</td><td>Specified page slug is empty.</td></tr></tbody></table>

### Ecwid billing for public apps

<table><thead><tr><th>Error message</th><th width="99.921875">Code</th><th>Description</th></tr></thead><tbody><tr><td>CHARGE_AMOUNT_INVALID</td><td>400</td><td>Invalid charge amount. Learn more about <a href="https://app.gitbook.com/s/uOzT5egoVTAjMJwRuMQT/launch-apps/monetize-public-apps">Ecwid billing for apps</a>.</td></tr><tr><td>CHARGE_CURRENCY_INVALID</td><td>400</td><td>Invalid charge currency.</td></tr><tr><td>CHARGE_DESCRIPTION_INVALID</td><td>400</td><td>Invalid charge description. </td></tr><tr><td>CHARGE_IDEMPOTENCY_KEY_INVALID</td><td>400</td><td>Invalid idempotency key. </td></tr><tr><td>CHARGE_IDEMPOTENCY_KEY_NOT_UNIQUE</td><td>400</td><td>Non-unique idempotency key.</td></tr><tr><td>CHARGE_PURPOSE_INVALID</td><td>400</td><td>Invalid charge purpose. </td></tr><tr><td>CHARGE_PAYMENT_SOURCE_MISSING</td><td>402</td><td>Payment source missing. </td></tr><tr><td>CHARGE_LIMIT_EXCEEDED</td><td>402</td><td>Charge limit exceeded. </td></tr><tr><td>CHARGE_DECLINED</td><td>402</td><td>Charge declined. </td></tr></tbody></table>

### Shipping/payment

<table><thead><tr><th>Error message</th><th width="99.921875">Code</th><th>Description</th></tr></thead><tbody><tr><td>SHIPPING_OPTION_TITLE_REQUIRED</td><td>400</td><td>Shipping option can't be created with empty title.</td></tr><tr><td>SHIPPING_CARRIER_NAME_REQUIRED</td><td>400</td><td>Shipping option can't be created with empty carrier name.</td></tr><tr><td>SHIPPING_TYPE_CARRIER_REQUIRED</td><td>400</td><td>Shipping option can't be created without a type.</td></tr><tr><td>SHIPPING_OPTION_ADDRESS_MISMATCH</td><td>409</td><td>Shipping option can't be created with this origin address.</td></tr><tr><td>SHIPPING_BAD_TITLE_LENGTH</td><td>400</td><td>Shipping title exceeds limit (100 characters).</td></tr><tr><td>SHIPPING_NOT_FOUND</td><td>404</td><td>Shipping option was not found in the store.</td></tr><tr><td>PAYMENT_OPTION_TITLE_REQUIRED</td><td>400</td><td>Payment option can't be created with empty title.</td></tr><tr><td>PAYMENT_GATEWAY_NAME_REQUIRED</td><td>400</td><td>Payment option can't be created with empty gateway name.</td></tr><tr><td>PAYMENT_GATEWAY_NAME_UNKNOWN</td><td>400</td><td>Payment option can't be created with the specified gateway name.</td></tr><tr><td>PAYMENT_GATEWAY_MISSING_SETTINGS</td><td>400</td><td>Payment option can't be created with mising settings.</td></tr><tr><td>PAYMENT_OPTION_BAD_TITLE_LENGTH</td><td>400</td><td>Payment option title exceeds limit (64 characters).</td></tr><tr><td>PAYMENT_GATEWAY_SETTING_VALUE_LENGTH_OUT_OF_BOUNDARIES</td><td>400</td><td>Payment gateway name exceeds limit (200 characters).</td></tr><tr><td>PAYMENT_GATEWAY_MALFORMED_SETTINGS_SIGNATURE_KEY_TOO_LONG</td><td>400</td><td>Payment gateway signature exceeds limit (128 characters).</td></tr><tr><td>PAYMENT_GATEWAY_IS_ALREADY_ADDED</td><td>409</td><td>This payment gateway is alread added to the store.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/rest-api-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
